Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232013 - missing buildrequires or missing configure flag ?
Summary: missing buildrequires or missing configure flag ?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gftp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 15:52 UTC by Karsten Hopp
Modified: 2018-04-11 12:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:09:34 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-03-13 15:52:07 UTC
Description of problem:
When the package is rebuilt in an everything install buildroot it picks up a
dependency on libpng12.so.0
This indicates that there might be a missing build requirement to get full
functionality. If this is not intented, linking with libpng12 should probably
disabled with a configure parameter 

Version-Release number of selected component (if applicable):
gftp-2.0.18-4.fc7

Comment 1 Matěj Cepl 2007-03-13 21:48:19 UTC
I don't get it -- plain-vanilla FC6 gftp-1:2.0.18-3.2.2 already (although
indirectly) depends on libpng12.so.0, because gtk2 depends on it. What's the
difference?

Comment 2 Karsten Hopp 2007-03-14 10:04:31 UTC
gftp-1:2.0.18-3.2.2 buildrequires gtk2-devel which in turn pulls in gtk2.
But nothing pulls in libpng-devel

Comment 3 Matěj Cepl 2007-03-14 13:49:27 UTC
Chmm, and isn't it bug in gtk2-devel? Still trying ... :-)

Comment 4 Karsten Hopp 2007-03-14 14:36:42 UTC
if gtk2-devel would require libpng-devel, quite a few other similar bugs would
be fixed with a simple rebuilt:
- gftp
- gnome-applet-vm
- gtkhtml2
- icon-slicer
- krb5-auth-dialog
- libgail-gnome
- mtr-gtk
- nmap-frontend
- sane-frontends
- usermode-gtk
- xcdroast

Matthias, any comments ?

Comment 5 Matthias Clasen 2007-03-14 16:09:34 UTC
Makes sense. I've added a requires in gtk2-2.10.11-1.fc7


Note You need to log in before you can comment on or make changes to this bug.